Package com.independentsoft.office.odf

# Class CellPosition

java.lang.Object
com.independentsoft.office.odf.CellPosition

public class CellPosition extends Object
The Class CellPosition.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CellPosition()`
  Initializes a new instance of the CellPosition class.
  `CellPosition​(int column, int row)`
  Initializes a new instance of the CellPosition class.
  `CellPosition​(String position)`
  Initializes a new instance of the CellPosition class.
  `CellPosition​(String column, int row)`
  Initializes a new instance of the CellPosition class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CellPosition`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getColumn()`
  Gets the column.
  `int`
  `getColumnIndex()`
  Gets the column index.
  `int`
  `getRow()`
  Gets the row.
  `void`
  `setColumn​(String column)`
  Sets the column.
  `void`
  `setColumnIndex​(int index)`
  Sets the column index.
  `void`
  `setRow​(int row)`
  Sets the row.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CellPosition

    public CellPosition()
    Initializes a new instance of the CellPosition class.

  - ### CellPosition

    public CellPosition​(String position)
    Initializes a new instance of the CellPosition class.
    Parameters:
      `position` - the position

  - ### CellPosition

    public CellPosition​(int column, int row)
    Initializes a new instance of the CellPosition class.
    Parameters:
      `column` - the column
      `row` - the row

  - ### CellPosition

    public CellPosition​(String column, int row)
    Initializes a new instance of the CellPosition class.
    Parameters:
      `column` - the column
      `row` - the row

- ## Method Details

  - ### clone

    public CellPosition clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### getColumnIndex

    public int getColumnIndex()
    Gets the column index.
    Returns:
      the column index

  - ### setColumnIndex

    public void setColumnIndex​(int index)
    Sets the column index.
    Parameters:
      `index` - the new column index

  - ### getColumn

    public String getColumn()
    Gets the column.
    Returns:
      the column

  - ### setColumn

    public void setColumn​(String column)
    Sets the column.
    Parameters:
      `column` - the new column

  - ### getRow

    public int getRow()
    Gets the row.
    Returns:
      the row

  - ### setRow

    public void setRow​(int row)
    Sets the row.
    Parameters:
      `row` - the new row